%define upstream_name    Test-Needs
%define upstream_version 0.002002

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    4
Summary:    Skip tests when modules not available
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl-devel
BuildRequires: perl(Test::More) >= 1.1.9
BuildRequires: perl(ExtUtils::MakeMaker) >= 7.40.0
BuildRequires: perl(Test2::Event) >= 1.302.30

BuildArch: noarch

%description
Skip test scripts if modules are not available. The requested modules will
be loaded, and optionally have their versions checked. If the module is
missing, the test script will be skipped. Modules that are found but fail
to compile will exit with an error rather than skip.

If used in a subtest, the remainder of the subtest will be skipped.

Skipping will work even if some tests have already been run, or if a plan
has been declared.

%prep
%setup -qn %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog

* Mon Jun 26 2017 Denis Silakov <dsilakov@virtuozzo.com> 0.2.2-4
- (030112c) Move to main


